package com.rjconsultores.ventaboletos.relatorios.impl;

import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.LogManager;

import com.rjconsultores.ventaboletos.relatorios.utilitarios.DataSource;
import com.rjconsultores.ventaboletos.relatorios.utilitarios.Relatorio;

import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;

public class ReciboEntregaMovimentacao extends Relatorio {

	private static Logger log = LogManager.getLogger(ReciboEntregaMovimentacao.class);
	List<Object> listdata = null;

	
	public ReciboEntregaMovimentacao(final Map<String, Object> parametros, Connection conexao) throws Exception {
		super(parametros, conexao);

		this.setCustomDataSource(new DataSource(this) {
			@Override
			public void initDados() throws Exception {
				try {
					
					listdata = new ArrayList<Object>();
					
					//só para o relatório não ir vazio
					listdata.add("");

				} catch (Exception e) {
					log.error("", e);
				}
			}

		});

		this.setCollectionDataSource(new JRBeanCollectionDataSource(listdata));
	}

	@Override
	protected void processaParametros() throws Exception {
	}

}
